Subject: bug#34020: closed (Re: [bug#34020] [PATCH 0/2] Re-purpose '--verbosity' to something useful)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Jan 2019 11:16:02 +0000

Your bug report

#34020: [PATCH 0/2] Re-purpose '--verbosity' to something useful

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
34020: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=34020
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#34020] [PATCH 0/2] Re-purpose '--verbosity' to something useful
From: Ludovic Courtès <[email-masked]>
To: Mike Gerwitz <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Jan 2019 12:15:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Mike Gerwitz <[email-masked]> skribis:

> On Wed, Jan 09, 2019 at 14:31:45 +0100, Ludovic Courtès wrote:
>> These patches re-purposes ‘--verbosity’ so that it better matches
>> user expectations.  The previous ‘--verbosity’ option, which is
>> about the daemon’s debugging output, is renamed to ‘--debug’.
>> In addition, ‘--verbosity’ now has a shorthand ‘-v’.
>>
>> Most commands that build stuff support -v/--verbosity so users can
>> easily override the default verbosity level.
>>
>> Thoughts?
>
> (Just having looked at the patches, without actually trying it out.)
>
> This is much better, thank you!  I was confused by the previous behavior.

Thanks for your feedback, pushed now!

I’ve also adjust ‘guix archive’, which I had forgotten in the patch I
sent.

Ludo’.

Subject: [PATCH 0/2] Re-purpose '--verbosity' to something useful
From: Ludovic Courtès <[email-masked]>
To: [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Wed, 9 Jan 2019 14:31:45 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

These patches re-purposes ‘--verbosity’ so that it better matches
user expectations.  The previous ‘--verbosity’ option, which is
about the daemon’s debugging output, is renamed to ‘--debug’.
In addition, ‘--verbosity’ now has a shorthand ‘-v’.

Most commands that build stuff support -v/--verbosity so users can
easily override the default verbosity level.

Thoughts?

Thanks,
Ludo’.

Ludovic Courtès (2):
  status: Add 'with-status-verbosity'.
  guix build: Re-purpose '--verbosity' and add '--debug'.

 .dir-locals.el                 |   1 +
 build-aux/run-system-tests.scm |   4 +-
 doc/guix.texi                  |  30 +++++---
 guix/scripts/build.scm         | 134 +++++++++++++++++----------------
 guix/scripts/environment.scm   |  14 +++-
 guix/scripts/pack.scm          |  14 +++-
 guix/scripts/package.scm       |  23 ++++--
 guix/scripts/pull.scm          |  12 ++-
 guix/scripts/system.scm        |  18 +++--
 guix/status.scm                |  17 ++++-
 10 files changed, 165 insertions(+), 102 deletions(-)

-- 
2.20.1